﻿#region DEFINES
STATIC DEFINE DWBBROWSER_PRINTBUTTON1 := 100
STATIC DEFINE DWBBROWSER_PRINTBUTTON := 101
#endregion

CLASS DWBBROWSER INHERIT DATAWINDOW
	PROTECT oCCPrintButton1 AS PUSHBUTTON
	PROTECT oCCPrintButton AS PUSHBUTTON

	// {{%UC%}} User code starts here (DO NOT remove this line)

CONSTRUCTOR(oWindow,iCtlID,oServer,uExtra)

	SELF:PreInit(oWindow,iCtlID,oServer,uExtra)

	SUPER(oWindow , ResourceID{"DWBBROWSER" , _GetInst()},iCtlID)

	SELF:oCCPrintButton1 := PUSHBUTTON{SELF , ResourceID{ DWBBROWSER_PRINTBUTTON1  , _GetInst() } }
	SELF:oCCPrintButton1:HyperLabel := HyperLabel{#PrintButton1 , "Preview 2" , NULL_STRING , NULL_STRING}

	SELF:oCCPrintButton := PUSHBUTTON{SELF , ResourceID{ DWBBROWSER_PRINTBUTTON  , _GetInst() } }
	SELF:oCCPrintButton:HyperLabel := HyperLabel{#PrintButton , "Preview 1" , NULL_STRING , NULL_STRING}

	SELF:Caption := "DataWindow Caption"
	SELF:HyperLabel := HyperLabel{#DWBBROWSER , "DataWindow Caption" , NULL_STRING , NULL_STRING}
	IF !IsNil(oServer)
		SELF:Use(oServer)
	ENDIF


	SELF:PostInit(oWindow,iCtlID,oServer,uExtra)

RETURN


METHOD PrintButton( )
LOCAL oReport AS RpReport
LOCAL app AS classmate.cApp
LOCAL ownerWindow AS classmate.cWindow

	ownerWindow	:= classmate.cWindow{ SELF:Handle() }
	app			:= classmate.cApp{}
	app:AppName := ownerWindow:Caption
	cmGUIDLLInit( app )
	ReportProInit()
	IF !Empty(ownerWindow)
		UpdateWindow( ownerWindow:Handle(0) )
		oReport := RpReport{ ownerWindow }
	ENDIF


	oReport:LoadReport("C:\Temp\_TEST.RPT")


	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_DRIVER, "DBFCDX" )
	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_TABLE, "C:\Temp\Salestmp.dbf" )
	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_INDEX_FILE, "C:\Temp\Salestmp.CDX" )
	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_INDEX_TAG, "SalesTmp2" )

    oReport:SetReportStringAttribute( RP_RPT_ATTR_DFLT_DATA_PATH, "C:\Temp\" )

	IF oReport:IsValid .AND. oReport:Connect2Source()
		//oReport:PrintCaption := "My Cool Report"
		//oReport:PrintMessage := "Printing in Progress"

		oReport:oPrinter:PreviewCaption := "TEST X#"
		oReport:oPrinter:PreviewModal   := TRUE
		oReport:oPrinter:PrintCaption   := "TEST X#"
		oReport:oPrinter:PrintMessage1   := "TEST X#"


        ownerWindow:SetFocus()
        oReport:oPrinter:Preview()

	ENDIF

	oReport:Close()

    ReportProUnInit()

RETURN NIL

METHOD PrintButton1( )
LOCAL oReport AS RpReport
LOCAL app AS classmate.cApp
LOCAL ownerWindow AS classmate.cWindow

	ownerWindow	:= classmate.cWindow{ SELF:Handle() }
	app			:= classmate.cApp{}
	app:AppName := ownerWindow:Caption
	cmGUIDLLInit( app )
	ReportProInit()
	IF !Empty(ownerWindow)
		UpdateWindow( ownerWindow:Handle(0) )
		oReport := RpReport{ ownerWindow }
	ENDIF

	oReport:LoadReport("C:\Temp\_TEST1.RPT")


	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_DRIVER, "DBFCDX" )
	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_TABLE, "C:\Temp\OrbTemp.dbf" )
	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_INDEX_FILE, "C:\Temp\OrbTemp.CDX" )
	oReport:SetTableStringAttribute( 1, "Orbtemp", RP_TABLE_ATTR_INDEX_TAG, "OrbTemp1" )

	oReport:SetTableStringAttribute( 2, "Orbtemp1", RP_TABLE_ATTR_DRIVER, "DBFCDX" )
	oReport:SetTableStringAttribute( 2, "Orbtemp1", RP_TABLE_ATTR_TABLE, "C:\Temp\OrbTemp.dbf" )
	oReport:SetTableStringAttribute( 2, "Orbtemp1", RP_TABLE_ATTR_INDEX_FILE, "C:\Temp\OrbTemp.CDX" )
	oReport:SetTableStringAttribute( 2, "Orbtemp1", RP_TABLE_ATTR_INDEX_TAG, "OrbTemp2" )

	oReport:SetTableStringAttribute( 3, "Orbtemp2", RP_TABLE_ATTR_DRIVER, "DBFCDX" )
	oReport:SetTableStringAttribute( 3, "Orbtemp2", RP_TABLE_ATTR_TABLE, "C:\Temp\OrbTemp.dbf" )
	oReport:SetTableStringAttribute( 3, "Orbtemp2", RP_TABLE_ATTR_INDEX_FILE, "C:\Temp\OrbTemp.CDX" )
	oReport:SetTableStringAttribute( 3, "Orbtemp2", RP_TABLE_ATTR_INDEX_TAG, "OrbTemp3" )

	oReport:SetReportStringAttribute( RP_RPT_ATTR_DFLT_DATA_PATH, Workdir() )

	IF oReport:IsValid .AND. oReport:Connect2Source()
		//oReport:PrintCaption := "My Cool Report"
		//oReport:PrintMessage := "Printing in Progress"

		oReport:oPrinter:PreviewCaption := "TEST X#"
		oReport:oPrinter:PreviewModal   := TRUE
		oReport:oPrinter:PrintCaption   := "TEST X#"
		oReport:oPrinter:PrintMessage1   := "TEST X#"


        ownerWindow:SetFocus()
        oReport:oPrinter:Preview()

	ENDIF

	oReport:Close()

    ReportProUnInit()

RETURN NIL
END CLASS
